Conversion Rate
cURL
curl --request POST \ --url https://api-sandbox.y.uno/v1/currency-conversion \ --header 'Content-Type: application/json' \ --header 'X-Private-Secret-Key: <api-key>' \ --header 'X-Public-Api-Key: <api-key>' \ --data ' { "account_id": "fe14c7c6-c75e-43b7-bdbe-4c87ad52c482", "amount": { "value": 10000, "currency": "COP", "currency_conversion": { "cardholder_currency": "USD" } }, "provider_data": { "id": "CIBC" }, "payment_method": { "card": { "card_data": { "number": "4111111111111111", "holder_name": "JOHN DOE", "expiration_month": 12, "expiration_year": 25 } } } } '
{ "id": "599cc714-9bb6-4a3c-8465-c360cd47e04e", "amount": { "value": 10000, "currency": "COP", "currency_conversion": { "cardholder_currency": "USD", "cardholder_amount": 2.58, "rate": 3879.812207, "provider_data": { "id": "CIBC", "transaction_id": "274c4fc9a1e3c27625fc4d925e0331783c3c5c94358280158d3980e97ac66795a80970d48c176078f394106345c05215431bbc6260a6980db3a2e0b753db1a3f32d0c8adfc02c18794dc07ac1c13a14e581a3d78ba4b9c5afdae537f38cc495628239b7470a997cc8d5b51ae787603b64de3b19cea09f825f6fd13896656b75092bd7fe19a0560df29b94", "response_code": "2000", "response_message": "Successful", "raw_response": { "fxRateInquiryResponse": { "localDate": 210, "localTime": 180927, "merchantID": "18695684", "rateEndTime": 1739212767659, "ratePreferenceCode": "R1", "rateStartTime": 1739210967659, "rateValidityPeriod": 30, "rates": [ { "cardholderAmount": 2.58, "cardholderCurrency": "840", "merchantAmount": 10000, "merchantCurrency": "170", "rate": 3879.812207, "rateInquiryRef": "274c4fc9a1e3c27625fc4d925e0331783c3c5c94358280158d3980e97ac66795a80970d48c176078f394106345c05215431bbc6260a6980db3a2e0b753db1a3f32d0c8adfc02c18794dc07ac1c13a14e581a3d78ba4b9c5afdae537f38cc495628239b7470a997cc8d5b51ae787603b64de3b19cea09f825f6fd13896656b75092bd7fe19a0560df29b94" } ], "responseCode": "2000", "responseMessage": "Successful", "sessionId": "2a587fa2-e7da-11ef-8b88-7e36493c761f", "terminalID": "CT000001", "traceNumber": 3594 } } } } }, "expired_at": "2025-02-10T18:39:27Z" }
The unique identifier of the account. You find this information on the Yuno dashboard (UUID; 36 chars).
Amount to be converted
Show child attributes
Provider information
Payment method information. Provide either token, vaulted_token, or card.
token
vaulted_token
card
200
"599cc714-9bb6-4a3c-8465-c360cd47e04e"
"2025-02-10T18:39:27Z"
Was this page helpful?